Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77438 - system is hanging during some uid->username translations
Summary: system is hanging during some uid->username translations
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-07 00:20 UTC by Charles Ng
Modified: 2016-11-24 15:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-03-25 11:20:12 UTC


Attachments (Terms of Use)

Description Charles Ng 2002-11-07 00:20:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
system is hanging during some uid->username translations. 'ls -l' in /home 
hangs. Processes appear to be looping in YP calls.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd /home
2.ls -l
3.system will hang
	

Actual Results:  when the user doesn't exist in /etc/passwd, system will hang

Expected Results:  running ls -l under /home should return ownership of the 
directories. If user doesn't exist in /etc/passwd, should return uid (uid 
number)

Additional info:

When you run the ls -l on /home, it tries to resolve the ownership of the 
directories and if /etc/passwd doesn't have the userid in it, it will just 
hang. If set /etc/nsswitch.conf to "files nis" (currently is "compat" and 
under /etc/passwd, we use +userid for security purposes), it will return fine.
I was able to fix it in two different way:
1) remove the directories of the users with no login
2) change the ownership to root on the directories

Comment 1 Tomas Mraz 2005-03-25 09:26:41 UTC
This is wrong component so no wonder it stayed without any notice.
However I don't see this behaviour here - so it will be probably CLOSED
WORKSFORME or CURRENTRELEASE anyway.


Comment 2 Jakub Jelinek 2005-03-25 11:20:12 UTC
There have been years of fixes in glibc.  I have not been able to reproduce this
with contemporary distros.  In case you are able to reproduce this with
a contemporary distribution, please reopen the bug and provide further details.


Note You need to log in before you can comment on or make changes to this bug.